﻿<%@ Page Language="C#" AutoEventWireup="true"%>
<script language="C#" runat="server">
	protected void Page_Load(object sender, EventArgs e)
	{

	}

	protected void btnBack_Click(object sender, EventArgs e)
	{
		MultiView1.ActiveViewIndex--;
	}

	protected void btnNext_Click(object sender, EventArgs e)
	{
		MultiView1.ActiveViewIndex++;
	}

	protected override void OnPreRender(EventArgs e)
	{
		btnBack.Enabled = MultiView1.ActiveViewIndex > 0;
		btnNext.Enabled = MultiView1.ActiveViewIndex < MultiView1.Views.Count - 1;
		base.OnPreRender(e);
	}
	protected void Button1_Click(object sender, EventArgs e)
	{
		Label1.Text = CKEditor1.Text;
	}
	protected void Button2_Click(object sender, EventArgs e)
	{
		Label2.Text = CKEditor2.Text;
	}
	protected void Button3_Click(object sender, EventArgs e)
	{
		Label3.Text = CKEditor3.Text;
	}
</script>
<%@ Register Assembly="CKEditor.NET" Namespace="CKEditor.NET" TagPrefix="CKEditor" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		<div>
			<asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
				<asp:View runat="server" ID="View1">
					<div>
						<CKEditor:CKEditorControl ID="CKEditor1" runat="server" Height="200">
&lt;p&gt;
	This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;
&lt;h2&gt;CKEditor 1&lt;/h2&gt;
						</CKEditor:CKEditorControl>
					</div>
					<asp:Label ID="Label1" runat="server" Text="View 1 - Editor 1"></asp:Label>
					<asp:Button ID="Button1" runat="server" Text="Send 1" onclick="Button1_Click" />
					<asp:LinkButton ID="LinkButton1" runat="server" PostBackUrl="http://ckeditor.com/">LinkButton</asp:LinkButton>
				</asp:View>
				<asp:View runat="server" ID="View2">
					<div>
						<CKEditor:CKEditorControl ID="CKEditor2" runat="server" Height="200">
&lt;p&gt;
	This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;
&lt;h2&gt;CKEditor 2&lt;/h2&gt;
						</CKEditor:CKEditorControl>
					</div>
					<asp:Label ID="Label2" runat="server" Text="View 2 - Editor 2"></asp:Label>
					<asp:Button ID="Button2" runat="server" Text="Send 2" onclick="Button2_Click" />
					<asp:LinkButton ID="LinkButton2" runat="server">LinkButton</asp:LinkButton>
				</asp:View>
				<asp:View runat="server" ID="View3">
					<div>
						<CKEditor:CKEditorControl ID="CKEditor3" runat="server" Height="200">
&lt;p&gt;
	This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;
&lt;h2&gt;CKEditor 3&lt;/h2&gt;
						</CKEditor:CKEditorControl>
					</div>
					<asp:Label ID="Label3" runat="server" Text="View 3 - Editor 3"></asp:Label>
					<asp:Button ID="Button3" runat="server" Text="Send 3" onclick="Button3_Click" />
					<asp:LinkButton ID="LinkButton3" runat="server" OnClientClick="return false;">LinkButton</asp:LinkButton>
				</asp:View>
			</asp:MultiView>
		</div>
	<hr />
	<div>
		<asp:Button ID="btnBack" runat="server" Text="&lt; Back " OnClick="btnBack_Click" />
		<asp:Button ID="btnNext" runat="server" Text="Next &gt;" OnClick="btnNext_Click" />
	</div>
	</div>
	</form>
</body>
</html>
